API Explorer 1884 endpoints

Delete growing_season by id

DELETE /obp/v7.0.0/banks/ogcr/dynamic-entities/growing_season/GROWING_SEASON_ID

OBPv7.0.0-dynamicEntity_deletegrowing_season_ogcr Roles: CanDeleteDynamicEntityRecord_growing_season(per bank) _Growing_season(ogcr)Dynamic-EntityDynamic

Delete growing_season by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"growing_season"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "growing_season_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "crop_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
  "start_date": "2026-10-15",
  "end_date": "2027-07-20",
  "year": 2027,
  "is_cover_crop": true,
  "crop_area_ha": 7.4,
  "yield_kg_per_ha": 6200,
  "yield_total_kg": 45880,
  "yield_source": "farmer_reported",
  "farming_practice": "no_till",
  "fertiliser_use_kg_per_ha": 120,
  "residue_management": "incorporated"
}
Example success response
{
  "bank_id": "ogcr",
  "growing_season": {
    "growing_season_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "parcel_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "crop_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "start_date": "2026-10-15",
    "end_date": "2027-07-20",
    "year": 2027,
    "is_cover_crop": true,
    "crop_area_ha": 7.4,
    "yield_kg_per_ha": 6200,
    "yield_total_kg": 45880,
    "yield_source": "farmer_reported",
    "farming_practice": "no_till",
    "fertiliser_use_kg_per_ha": 120,
    "residue_management": "incorporated"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_deletegrowing_season_ogcr Originally /banks/ogcr/dynamic-entities/growing_season/GROWING_SEASON_ID